summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:59 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-11 20:30:59 +0200
commit73c6e2990956fff89d9af0d0c42b8d665cb3743f (patch)
treed7847753677765622542c926eef23fc5ae9247cc /audio
parentfce68c3c69cd8169d718138552f3676dbc121ce4 (diff)
downloadslackbuilds-73c6e2990956fff89d9af0d0c42b8d665cb3743f.tar.gz
slackbuilds-73c6e2990956fff89d9af0d0c42b8d665cb3743f.tar.xz
audio/xmms: Moved from multimedia
Diffstat (limited to 'audio')
-rw-r--r--audio/xmms/README7
-rw-r--r--audio/xmms/slack-desc19
-rw-r--r--audio/xmms/xmms.SlackBuild88
-rw-r--r--audio/xmms/xmms.info8
4 files changed, 122 insertions, 0 deletions
diff --git a/audio/xmms/README b/audio/xmms/README
new file mode 100644
index 0000000000..0873d909db
--- /dev/null
+++ b/audio/xmms/README
@@ -0,0 +1,7 @@
+xmms (X Multimedia System)
+XMMS is the X Multimedia System. It is used to play audio and other
+kinds of media files. By default XMMS can play MPEG audio, Ogg
+Vorbis, RIFF wav, most module formats, and a few other formats. XMMS
+can be extended through plugins to play a number of other audio and
+video formats.
+
diff --git a/audio/xmms/slack-desc b/audio/xmms/slack-desc
new file mode 100644
index 0000000000..6ea4362d2e
--- /dev/null
+++ b/audio/xmms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmms: xmms (X Multimedia System)
+xmms:
+xmms: XMMS is the X Multimedia System. It is used to play audio and other
+xmms: kinds of media files. By default XMMS can play MPEG audio, Ogg
+xmms: Vorbis, RIFF wav, most module formats, and a few other formats. XMMS
+xmms: can be extended through plugins to play a number of other audio and
+xmms: video formats.
+xmms:
+xmms:
+xmms:
+xmms:
diff --git a/audio/xmms/xmms.SlackBuild b/audio/xmms/xmms.SlackBuild
new file mode 100644
index 0000000000..000e3df704
--- /dev/null
+++ b/audio/xmms/xmms.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for xmms
+
+# Copyright 2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xmms
+VERSION=1.2.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --localstatedir=/var/lib \
+ --disable-static \
+ --enable-simd \
+ --with-ipv6 \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING FAQ INSTALL NEWS README TODO \
+ $PKG/usr/doc/xmms-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/xmms/xmms.info b/audio/xmms/xmms.info
new file mode 100644
index 0000000000..694d5f7d50
--- /dev/null
+++ b/audio/xmms/xmms.info
@@ -0,0 +1,8 @@
+PRGNAM="xmms"
+VERSION="1.2.11"
+HOMEPAGE="http://xmms.org/"
+DOWNLOAD="http://xmms.org/files/1.2.x/xmms-1.2.11.tar.gz"
+MD5SUM="a5d7e825c4605554b79f8acf986c4cb2"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"